package com.oguerreiro.resilient.service.dto.activity;

import java.io.Serializable;

/**
 * Used from Frontend to invoke BackEnd.
 * Defines a Activity execution call. This simplifies the endpoint, and the arguments are sent in a POST request.
 * Also simplifies future evolution of the Activity call, by simply adding more properties to the ActivityInvokeDTO.
 * 
 *  This DTO doesn't need a mapper
 */
public class ActivityInvokeDTO implements Serializable {
	String activityKey;
	String activityDomainClass;
	Long activityDomainId;

	public String getActivityKey() {
		return activityKey;
	}

	public void setActivityKey(String activityKey) {
		this.activityKey = activityKey;
	}

	public String getActivityDomainClass() {
		return activityDomainClass;
	}

	public void setActivityDomainClass(String activityDomainClass) {
		this.activityDomainClass = activityDomainClass;
	}

	public Long getActivityDomainId() {
		return activityDomainId;
	}

	public void setActivityDomainId(Long activityDomainId) {
		this.activityDomainId = activityDomainId;
	}
	
	
}
